using System;

namespace Fort23.Core
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = true)]
    public class SystemBaseAttribute: Attribute
    {
        public Type AttributeType { get; }

        public SystemBaseAttribute()
        {
            this.AttributeType = this.GetType();
        }
    }
}